CREATE TABLE egi_io_map_b_ (
    MAPPING_ID                     NUMBER(18, 0) ,
    DEFAULT_FLAG                   VARCHAR2(4)   ,
    TYPE                           VARCHAR2(8)   ,
    MAPPING_CODE                   VARCHAR2(320) ,
    OBJECT_NAME                    VARCHAR2(120) ,
    GENERIC_MAP_FLAG               VARCHAR2(4)   ,
    ITEM_CLASS_ID                  NUMBER(18, 0) ,
    ACTIVE_FLAG                    VARCHAR2(4)   ,
    INCLUDE_REQUIRED_ATTRIBUTES    VARCHAR2(4)   ,
    FILE_TYPE                      VARCHAR2(120) ,
    FILE_SELECTION                 VARCHAR2(120) ,
    ENCODING_TYPE                  VARCHAR2(120) ,
    DATE_FORMAT                    VARCHAR2(120) ,
    DATA_DELIMETER                 VARCHAR2(120) ,
    DELIMITER                      VARCHAR2(80)  ,
    DELIMITER_VALUE                VARCHAR2(80)  ,
    TIMESTAMP_FORMAT               VARCHAR2(120) ,
    UPLOAD_FROM                    VARCHAR2(28)  ,
    PARENT_MAPPING_ID              NUMBER(18, 0) ,
    INT_EXT_FLAG                   VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    MAPPING_ID                     NUMBER(18, 0) ,
    DEFAULT_FLAG                   VARCHAR2(4)   ,
    TYPE                           VARCHAR2(8)   ,
    MAPPING_CODE                   VARCHAR2(320) ,
    OBJECT_NAME                    VARCHAR2(120) ,
    GENERIC_MAP_FLAG               VARCHAR2(4)   ,
    ITEM_CLASS_ID                  NUMBER(18, 0) ,
    ACTIVE_FLAG                    VARCHAR2(4)   ,
    INCLUDE_REQUIRED_ATTRIBUTES    VARCHAR2(4)   ,
    FILE_TYPE                      VARCHAR2(120) ,
    FILE_SELECTION                 VARCHAR2(120) ,
    ENCODING_TYPE                  VARCHAR2(120) ,
    DATE_FORMAT                    VARCHAR2(120) ,
    DATA_DELIMETER                 VARCHAR2(120) ,
    DELIMITER                      VARCHAR2(80)  ,
    DELIMITER_VALUE                VARCHAR2(80)  ,
    TIMESTAMP_FORMAT               VARCHAR2(120) ,
    UPLOAD_FROM                    VARCHAR2(28)  ,
    PARENT_MAPPING_ID              NUMBER(18, 0) ,
    INT_EXT_FLAG                   VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    CONSTRAINT pk_egi_io_map_b_ PRIMARY KEY (MAPPING_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, MAPPING_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
